
QGIS Application - Bug report #7586

Adding or modifying annontations does not mark the project changed

2013-04-12 01:08 AM - Andreas Schmid

Status: Closed

Priority: Normal

Assignee:

Category: Project Loading/Saving

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 16520

Description

In version 80f7b5a / 1.9 master, when I add or modify annotations and then directly close the project, QGIS won't ask me if I want to save

the changes.

Associated revisions

Revision 30d7795f - 2015-11-30 10:58 PM - Sebastian Dietrich 

changes to annotations mark the project dirty (fixes #7586)

this includes adding, editing, moving, resizing and deleting

Revision a792a471 - 2015-11-30 11:06 PM - Matthias Kuhn 

Merge pull request #2506 from SebDieBln/MakeDirtyOnAnnotation

changes to annotations mark the project dirty (fixes #7586)

History

#1 - 2015-11-26 03:46 PM - Sebastian Dietrich

Confirmed in master (commit:5387fd1d51a4075294464be1c26fa0d1367017d0).

For a solution see PR 2506.

When testing the solution please keep in mind #13887, e.g. make sure the project has at least one layer.

#2 - 2015-11-30 02:06 PM - Anonymous

- Status changed from Open to Closed

Fixed in changeset commit:"a792a47100ceb5abcf71c5b85e479a9bfe8d6ada".
https://github.com/qgis/QGIS/pull/2506

